## org.gnu.gtk
Class IconSize

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gtk.IconSize

public class IconSize
extends org.gnu.glib.Enum

Defines the standard GTK icon sizes.

Field Summary
`static IconSize` `BUTTON`
`static IconSize` `DIALOG`
`static IconSize` `DND`
`static IconSize` `INVALID`
`static IconSize` `LARGE_TOOLBAR`
`static IconSize` `MENU`
`static IconSize` `SMALL_TOOLBAR`

Method Summary
`IconSize` `and(IconSize other)`
`static IconSize` `intern(int value)`
`IconSize` `or(IconSize other)`
`boolean` `test(IconSize other)`
`IconSize` `xor(IconSize other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INVALID

    public static final IconSize INVALID

### MENU

    public static final IconSize MENU

### SMALL_TOOLBAR

    public static final IconSize SMALL_TOOLBAR

### LARGE_TOOLBAR

    public static final IconSize LARGE_TOOLBAR

### BUTTON

    public static final IconSize BUTTON

### DND

    public static final IconSize DND

### DIALOG

    public static final IconSize DIALOG

Method Detail

### intern

    public static IconSize intern(int value)

### or

    public IconSize or(IconSize other)

### and

    public IconSize and(IconSize other)

### xor

    public IconSize xor(IconSize other)

### test

    public boolean test(IconSize other)